org.springframework.cloud.dataflow.shell.command

## Class RuntimeCommands

- java.lang.Object
- - org.springframework.cloud.dataflow.shell.command.RuntimeCommands

- All Implemented Interfaces:
    org.springframework.shell.core.CommandMarker

      @Component
      public class RuntimeCommands
      extends Object
      implements org.springframework.shell.core.CommandMarker

  Commands for displaying the runtime state of deployed apps.
  Author:
    Eric Bottard, Mark Fisher, Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeCommands(DataFlowShell dataFlowShell)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `availableWithViewRole()`
    `Table` | `list(boolean summary, String[] appIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeCommands

          @Autowired
          public RuntimeCommands(DataFlowShell dataFlowShell)

  - ### Method Detail

    - #### availableWithViewRole

          @CliAvailabilityIndicator(value="runtime apps")
          public boolean availableWithViewRole()

    - #### list

          @CliCommand(value="runtime apps",
                      help="List runtime apps")
          public Table list(@CliOption(key="summary",help="whether to hide app instance details",unspecifiedDefaultValue="false",specifiedDefaultValue="true")
                                                                                                    boolean summary,
                                                                                                    @CliOption(key={"appId","appIds"},help="app id(s) to display, also supports \'<group>.*\' pattern")
                                                                                                    String[] appIds)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.